package com.community.huiju.service;

import com.community.commom.mode.ResponseBean;
import com.community.commom.session.UserElement;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;

public interface WxLoginServiceI {

	/**
	 * 获取微信 openid
	 * @param wxcode
	 * @return
	 */
	ResponseBean getOpenidByWxcode(String wxcode, HttpSession session);

	/**
	 * 手机号 和 验证码 关联微信账号
	 * @param parameter
	 * @return
	 */
	ResponseBean associatedWX(String parameter);

	/**
	 * 注册用户 关联微信
	 * @param parameter
	 * @return
	 */
	ResponseBean register(String parameter, HttpServletRequest request);

	/**
	 * 解绑微信
	 * @param userElement
	 * @return
	 */
	ResponseBean unbundlingWX(UserElement userElement);

	/**
	 * 登录成功的状态下，绑定微信
	 * @param userElement
	 * @param wxcode
	 * @return
	 */
	ResponseBean bundlingWX(UserElement userElement, String wxcode);
}
